#
# spec file for package easytag
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           easytag
Version:        2.2.3
Release:        1.1
Summary:        Tag editor for MP3 and Ogg Vorbis files
License:        GPL-2.0+
Group:          Productivity/Multimedia/Sound/Utilities
Url:            https://projects.gnome.org/easytag/
Source0:        http://download.gnome.org/sources/easytag/2.2/%{name}-%{version}.tar.xz
BuildRequires:  gcc-c++
BuildRequires:  id3lib-devel >= 3.7.12
BuildRequires:	itstool
BuildRequires:	libxml2-devel
BuildRequires:  intltool >= 0.50.0
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(flac) >= 1.1.0
BuildRequires:  pkgconfig(glib-2.0) >= 2.30.0
BuildRequires:  pkgconfig(gtk+-2.0) >= 2.24.0
BuildRequires:  pkgconfig(id3tag) >= 0.15
BuildRequires:  pkgconfig(speex)
BuildRequires:  pkgconfig(taglib)
BuildRequires:  pkgconfig(vorbis) >= 1.0
BuildRequires:  pkgconfig(wavpack) >= 4.40
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
EasyTAG is an utility for viewing and editing tags for MP3, MP2, FLAC, Ogg
Vorbis, MusePack and Monkey's Audio files. Its simple and nice GTK+ interface
makes tagging easier under GNU/Linux.

%lang_package

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
rm -rf %{buildroot}/%{_datadir}/locale/sr@Latn
rm -rf %{buildroot}/%{_datadir}/%{name}/ChangeLog
rm -rf %{buildroot}/%{_datadir}/doc/%{name}/HACKING
rm -rf %{buildroot}/%{_datadir}/doc/%{name}/THANKS
rm -rf %{buildroot}/%{_datadir}/doc/%{name}/TODO

%find_lang %{name}
%suse_update_desktop_file %{name} AudioVideo AudioVideoEditing

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README TODO THANKS HACKING
%{_bindir}/easytag
%{_datadir}/icons/hicolor/*x*/apps/easytag.png
%{_datadir}/icons/hicolor/scalable/apps/easytag.svg
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/appdata
%{_datadir}/appdata/easytag.appdata.xml

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Sun Jul 20 2014 i@margueirte.su
- update version 2.2.3
  * Avoid a crash when browsing hidden directories
  * Andreas Winkelmann’s browser crash and memory leak fixes
  * Avoid a crash with GtkFileChooser on Windows
  * Restore process fields options correctly
  * Add .m4v as a supported MP4 extension
  * Seong-ho Cho’s Korean translation
  * Tom Tryfonidis’s Greek translation update
  * Мирослав Николић’s Serbian translation update
- drop patch: easytag-nobuilddates.patch
- drop patch: easytag-2.1.8-fix_mixed_declarations_and_code.patch
* Thu Aug 22 2013 fisiu@opensuse.org
- Update to 2.1.8:
  * Many memory leaks fixed.
  * Move configuration files to XDG firectories.
  * Switch to TagLib for MP4 tag editing and drop libmp4v2 support.
  * Fix album artist entry focus chain order.
  * Use intltool for internationalization.
  * Translations update.
- Spec cleanup.
- Rebase easytag-nobuilddates.patch.
- Add easytag-2.1.8-fix_mixed_declarations_and_code.patch.
* Tue Apr  3 2012 chris@computersalat.de
- update to 2.1.7
  * Gaute Amundsen's ConfirmWhenUnsavedFiles.patch
  * Mark Ferry's albumartist patch for ogg and flac
  * Götz Waschk's update for German translation
  * Kip's optimized base64 decoder for album art
  * Updated contributor credits
  * Debianized
- remove obsolete patch
  * patch_easytag_216_cddb_manual_search_fix.diff
- rpmlint
  * add nobuilddates patch
* Wed Aug 13 2008 quentin@links2linux.de
- update to upstream 2.1.6
* Sun Feb  3 2008 quentin@links2linux.de
- update to upstream 2.1.5
- added libjack-devel
* Sat Dec  8 2007 quentin@links2linux.de
- update to upstream 2.1.4
* Fri Nov  9 2007 quentin@links2linux.de
- fixed the desktop icon
* Mon Oct 22 2007 quentin@links2linux.de
- update to upstream 2.1.3
- added WavPack to BuildRequires because of ambiguous dependency with wavpack from openSUSE
* Mon Jul 30 2007 quentin@links2linux.de
- update to upstream 2.1.2
- added make jobs
* Thu Jul  5 2007 quentin@links2linux.de
- update to upstream 2.1.1
- added speex support
- fixed mp3 support
* Sun Jun  3 2007 quentin@links2linux.de
- update to upstream 2.1
* Tue May  1 2007 quentin@links2linux.de
- update to upstream 2.0.2
* Thu Apr 19 2007 quentin@links2linux.de
- update to upstream version 2.0.1 (unstable)
- changed prefix to /usr
- added WavPack support
* Fri Feb 23 2007 quentin@links2linux.de
- update to stable version 2.0
* Mon Feb  5 2007 quentin@links2linux.de
- update to version 1.99.13
* Fri Apr 14 2006 quentin@links2linux.de
- update to version 1.99.12
- added some suse patches
- added mp4 support
- removed strips
* Wed Mar 22 2006 henne@links2linux.de
- build with -fstack-protector on 10.1
* Thu Mar 16 2006 henne@links2linux.de
- update to 1.99.11
* Mon Nov 28 2005 quentin@links2linux.de
- update to 1.99.10
* Thu Nov  3 2005 quentin@links2linux.de
- updated to 1.99.9
* Fri Sep  2 2005 quentin@links2linux.de
- updated to 1.99.8
* Fri Jul 15 2005 quentin@links2linux.de
- updated to 1.99.7
* Mon Jun 27 2005 quentin@links2linux.de
- updated to 1.99.6
* Thu Jun  9 2005 quentin@links2linux.de
- updated to 1.99.5
* Mon Jan 24 2005 quentin@links2linux.de
- updated to 1.99.3
